CVE-2002-0557
CVSS7.5
发布时间 :2002-07-03 00:00:00
修订时间 :2008-09-05 16:28:20
NMCOS    

[原文]Vulnerability in OpenBSD 3.0, when using YP with netgroups in the password database, causes (1) rexec or (2) rsh to run another user's shell, or (3) atrun to change to a different user's directory, possibly due to memory allocation failures or an incorrect call to auth_approval().


[CNNVD]OpenBSD rexecd、rshd、atrun BSD错误认证实现漏洞(CNNVD-200207-039)

        
        OpenBSD是另一个BSD Unix的变种系统。
        OpenBSD系统的几个应用认证方法实现上存在漏洞,远程攻击者可能利用此漏洞访问到其他用户的对象。
        至少有三个用户域的程序rexecd、rshd、atrun受此漏洞影响,在某种情况下,这些程序可以允许攻击者访问到其他用户的对象,比如rexecd可能会以其他用户的shell运行,atrun可能chdir()到其他用户的目录,这些情况可能在使用YP/NIS的环境中发生。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-0557
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-0557
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200207-039
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/4338
(VENDOR_ADVISORY)  BID  4338
http://www.iss.net/security_center/static/8625.php
(VENDOR_ADVISORY)  XF  bsd-yp-execute-shell(8625)
http://www.openbsd.org/errata30.html#approval
(UNKNOWN)  OPENBSD  20020319 016: SECURITY FIX: March 19, 2002

- 漏洞信息

OpenBSD rexecd、rshd、atrun BSD错误认证实现漏洞
高危 设计错误
2002-07-03 00:00:00 2005-10-20 00:00:00
远程  
        
        OpenBSD是另一个BSD Unix的变种系统。
        OpenBSD系统的几个应用认证方法实现上存在漏洞,远程攻击者可能利用此漏洞访问到其他用户的对象。
        至少有三个用户域的程序rexecd、rshd、atrun受此漏洞影响,在某种情况下,这些程序可以允许攻击者访问到其他用户的对象,比如rexecd可能会以其他用户的shell运行,atrun可能chdir()到其他用户的目录,这些情况可能在使用YP/NIS的环境中发生。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 如果不使用这些服务,关闭之。
        厂商补丁:
        OpenBSD
        -------
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        OpenBSD OpenBSD 3.0:
        OpenBSD Patch 016_approval.patch
        ftp://ftp.openbsd.org/pub/OpenBSD/patches/3.0/common/016_approval.patch

- 漏洞信息

59557
OpenBSD NIS YP w/ netgroups Cross-user Privilege Escalation
Remote / Network Access
Loss of Integrity

- 漏洞描述

- 时间线

2002-03-19 Unknow
Unknow Unknow

- 解决方案

Products

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

OpenBSD rexecd, rshd, atrun BSD Authentication Implementation Error Vulnerability
Design Error 4338
Yes No
2002-03-19 12:00:00 2009-07-11 11:56:00
This vulnerability was announced by the OpenBSD project.

- 受影响的程序版本

OpenBSD OpenBSD 2.9
OpenBSD OpenBSD 2.8
OpenBSD OpenBSD 2.7
OpenBSD OpenBSD 2.6
OpenBSD OpenBSD 3.0

- 漏洞讨论

At least three OpenBSD userland utilities contain errors in the implementation of BSD authentication that may have security implications. Under certain circumstances, conditions may occur in rexecd, rshd and atrun where properties of users other than those of the process owner may be used. For example, rexecd may run with the shell of another user and atrun may chdir() to another user's home directory. This may occur when YP/NIS is in use.

In some environments, this may be a security concern (for example, if restricted shells are set for certain users).

- 漏洞利用

Currently the SecurityFocus staff are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 解决方案

A patch is available:


OpenBSD OpenBSD 3.0

OpenBSD OpenBSD 2.6

OpenBSD OpenBSD 2.7

OpenBSD OpenBSD 2.8

OpenBSD OpenBSD 2.9

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站